Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.adhoc
Interface AdhocTaskInfo

Deprecated. As of version 8, no replacement.

    public interface AdhocTaskInfo

This `AdhocTaskInfo` takes charge of recording a JReport Analysis Task's information.

Method Summary
`long` | `getCompletedTime()` Deprecated. Gets the time when this task is finished.
`java.lang.String[]` | `getDSOs()` Deprecated. Gets all DSOs description used by the scheduled task.
`java.lang.String` | `getFailedInfo()` Deprecated. Gets detailed failure information of a failed Adhoc task.
`java.lang.String` | `getReason()` Deprecated. Gets detailed failure reason returned by the engine.
`int` | `getReportPages()` Deprecated. Gets the total number of report pages.
`java.lang.String[]` | `getReports()` Deprecated. Gets all of the report names within the scheduled report set.
`java.lang.String` | `getReportSet()` Deprecated. Gets the scheduled report set¡¯s file name with full path in resource tree.
`java.lang.String[]` | `getResultFiles()` Deprecated. Gets all exported files from the scheduled task when this task is finished.
`java.lang.String` | `getRunHost()` Deprecated. Gets the Report Server's host IP address for launching this task.
`int` | `getRunPort()` Deprecated. Gets the Report Server's RMI port number.
`long` | `getStartedTime()` Deprecated. Gets the time when this task started to run.
`long` | `getSubmittedTime()` Deprecated. Gets the Task's submitted time.
`java.lang.String` | `getTaskID()` Deprecated. Gets the task's ID.
`java.lang.String` | `getTaskStatus()` Deprecated. Gets the task's status, running-process track point.
`java.lang.String` | `getTaskType()` Deprecated. Gets the task's type.
`java.lang.String` | `getUserName()` Deprecated. Gets the user name that has submitted this task.
`boolean` | `isFailedToRun()` Deprecated. Judges whether or not this task failed to run.

Method Detail

### getTaskID

    java.lang.String getTaskID()

  Deprecated.
  Gets the task's ID.

  Returns:
    The task's ID.

### getReportSet

    java.lang.String getReportSet()

  Deprecated.
  Gets the scheduled report set¡¯s file name with full path in resource tree.

  Returns:
    The scheduled report set's file name.

### getReports

    java.lang.String[] getReports()

  Deprecated.
  Gets all of the report names within the scheduled report set.

  Returns:
    All of the report names within the scheduled report set.

### getUserName

    java.lang.String getUserName()

  Deprecated.
  Gets the user name that has submitted this task.

  Returns:
    The user name.

### getTaskStatus

    java.lang.String getTaskStatus()

  Deprecated.
  Gets the task's status, running-process track point.

  Returns:
    The task's status.

### getTaskType

    java.lang.String getTaskType()

  Deprecated.
  Gets the task's type.

  Returns:
    This task's type.

### getRunHost

    java.lang.String getRunHost()

  Deprecated.
  Gets the Report Server's host IP address for launching this task.

  Returns:
    The Report Server's host name.

### getRunPort

    int getRunPort()

  Deprecated.
  Gets the Report Server's RMI port number.

  Returns:
    The Report Server's RMI port number.

### getDSOs

    java.lang.String[] getDSOs()

  Deprecated.
  Gets all DSOs description used by the scheduled task.

  Returns:
    All DSOs path information used by the scheduled task.

### getResultFiles

    java.lang.String[] getResultFiles()

  Deprecated.
  Gets all exported files from the scheduled task when this task is finished.

  Returns:
    All exported files from the scheduled task.

### getReportPages

    int getReportPages()

  Deprecated.
  Gets the total number of report pages.

  Returns:
    The total number of report pages.

### getReason

    java.lang.String getReason()

  Deprecated.
  Gets detailed failure reason returned by the engine.

  Returns:
    The detailed failure reason.

### getSubmittedTime

    long getSubmittedTime()

  Deprecated.
  Gets the Task's submitted time.

  Returns:
    The Task's submitted time.

### getStartedTime

    long getStartedTime()

  Deprecated.
  Gets the time when this task started to run.

  Returns:
    The time when this task started to run.

### getCompletedTime

    long getCompletedTime()

  Deprecated.
  Gets the time when this task is finished.

  Returns:
    The finished time of this task.

### isFailedToRun

    boolean isFailedToRun()

  Deprecated.
  Judges whether or not this task failed to run.

  Returns:
    true if this task has not run successfully, or else return false.

### getFailedInfo

    java.lang.String getFailedInfo()

  Deprecated.
  Gets detailed failure information of a failed Adhoc task.

  Returns:
    the task's detailed failure information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD